import chinaProvinces from '@/utils/china_provinces.json';

// 查找省、市、区县的名称
export default function getLocationNameById(provinceId, cityId, districtId) {
  //查找省份
  const province = chinaProvinces.find(province => province.ssqid === provinceId);
  if (!province) return '未知省份';

  // 如果只传了省份 ID，直接返回省份名称
  if (!cityId) return province.ssqname;

  // 查找市
  const city = province.city.find(city => city.ssqid === cityId);
  if (!city) return '未知城市';

  // 如果只传了市 ID，返回市名称
  if (!districtId) return city.ssqname;

  // 查找区县
  const district = city.area.find(area => area.ssqid === districtId);
  return district ? district.ssqname : '未知区县';
}
